# Class CosmwasmAddress

#### Hierarchy

- CosmwasmAddress

#### Implements

- Address

- Defined in platforms/cosmwasm/src/address.ts:94

#####
Index

### Constructors

constructor

### Properties

address
denom?
denomType?
domain?
platform
accountAddressByteSize
contractAddressByteSize

### Methods

equals
toNative
toString
toUint8Array
toUniversalAddress
unwrap
instanceof
isValidAddress
validAddressLength

## Constructors

### constructor

- new CosmwasmAddress(address): CosmwasmAddress

- #### Parameters

  - ##### address: AnyCosmwasmAddress

  #### Returns CosmwasmAddress

  - Defined in platforms/cosmwasm/src/address.ts:109

## Properties

### `Private` `Readonly` address

address: Uint8Array

- Defined in platforms/cosmwasm/src/address.ts:100

### `Private` `Optional` `Readonly` denom

denom?: string

- Defined in platforms/cosmwasm/src/address.ts:105

### `Private` `Optional` `Readonly` denomType

denomType?: string

- Defined in platforms/cosmwasm/src/address.ts:107

### `Private` `Optional` `Readonly` domain

domain?: string

- Defined in platforms/cosmwasm/src/address.ts:103

### `Readonly` platform

platform: "Cosmwasm" = CosmwasmPlatform._platform

- Defined in platforms/cosmwasm/src/address.ts:97

### `Static` `Readonly` accountAddressByteSize

accountAddressByteSize: 20 = 20

- Defined in platforms/cosmwasm/src/address.ts:96

### `Static` `Readonly` contractAddressByteSize

contractAddressByteSize: 32 = 32

- Defined in platforms/cosmwasm/src/address.ts:95

## Methods

### equals

- equals(other): boolean

- #### Parameters

  - ##### other: UniversalAddress | CosmwasmAddress

  #### Returns boolean

  - Defined in platforms/cosmwasm/src/address.ts:228

### toNative

- toNative(): CosmwasmAddress

- #### Returns CosmwasmAddress

  - Defined in platforms/cosmwasm/src/address.ts:189

### toString

- toString(): string

- #### Returns string

  Implementation of Address.toString

  - Defined in platforms/cosmwasm/src/address.ts:169

### toUint8Array

- toUint8Array(): Uint8Array

- #### Returns Uint8Array

  Implementation of Address.toUint8Array

  - Defined in platforms/cosmwasm/src/address.ts:193

### toUniversalAddress

- toUniversalAddress(): UniversalAddress

- #### Returns UniversalAddress

  Implementation of Address.toUniversalAddress

  - Defined in platforms/cosmwasm/src/address.ts:197

### unwrap

- unwrap(): string

- #### Returns string

  Implementation of Address.unwrap

  - Defined in platforms/cosmwasm/src/address.ts:165

### `Static` instanceof

- instanceof(address): address is CosmwasmAddress

- #### Parameters

  - ##### address: any

  #### Returns address is CosmwasmAddress

  - Defined in platforms/cosmwasm/src/address.ts:224

### `Static` isValidAddress

- isValidAddress(address): boolean

- #### Parameters

  - ##### address: string

  #### Returns boolean

  - Defined in platforms/cosmwasm/src/address.ts:203

### `Private` `Static` validAddressLength

- validAddressLength(address): boolean

- #### Parameters

  - ##### address: Uint8Array

  #### Returns boolean

  - Defined in platforms/cosmwasm/src/address.ts:211

Generated using TypeDoc